Bug 98446 - Parent categories show up in picklist for linked categories. Cause evil if chosen.
Parent categories show up in picklist for linked categories. Cause evil if ch...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-02 11:35 EDT by Jon Orris
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 10:47:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-07-02 11:35:22 EDT
Description of problem:
@33139/Oracle

Choose Arts->Music category. Select 'Add or remove linked categories'.
The parent category Root->Arts shows up. If you choose it, you get the following
exception:

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.categorization.CategoryNotFoundException: The Category Music does
not have a default parent
	at
com.arsdigita.categorization.Category.getDefaultParentCategory(Category.java:1751)
	at com.arsdigita.cms.ui.category.LinkForm.initAssignedCategories(LinkForm.java:74)
	at com.arsdigita.cms.ui.CategoryForm$1.initialValue(CategoryForm.java:109)
	at com.arsdigita.bebop.RequestLocal.get(RequestLocal.java(Compiled Code))
	at
 com.arsdigita.cms.ui.CategoryForm.getAssignedCategories(CategoryForm.java:196)
	at
com.arsdigita.cms.ui.CategoryForm$FreePrintListener.prepare(CategoryForm.java:217)
	at com.arsdigita.bebop.form.Widget.firePrintEvent(Widget.java:478)
	at com.arsdigita.bebop.form.Widget.generateXML(Widget.java:464)
	at com.arsdigita.bebop.ColumnPanel.generateChildren(ColumnPanel.java:439)
	at com.arsdigita.bebop.ColumnPanel.generateXML(ColumnPanel.java:238)
	at com.arsdigita.bebop.Form.generateXMLSansState(Form.java:234)
	at com.arsdigita.bebop.Form.generateXML(Form.java:194)
	at com.arsdigita.toolbox.ui.ModalPanel.generateXML(ModalPanel.java:85)
	at com.arsdigita.toolbox.ui.ModalPanel.generateXML(ModalPanel.java:85)
	at com.arsdigita.toolbox.ui.LayoutPanel.section(LayoutPanel.java:88)
	at com.arsdigita.toolbox.ui.LayoutPanel.generateXML(LayoutPanel.java:73)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.Page.generateXML(Page.java:638)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:736)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:262)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)

Note You need to log in before you can comment on or make changes to this bug.